Draft: Offset

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Offset and the translation is 26% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft Offset.svg Draft Offset

poziția meniului
Draft → Offset
Workbenches
Draft, Arch
scurtătură
O S
Prezentat în versiune
-
A se vedea, de asemenea,
Part 2D Offset


Descriere

Instrumentul Decalare deplasează obiectele selectate la o o distanță dată față de durentul paln work plane. Dacă nu este selectat niciun obiect, veți fi invitat să selectați unul.

Typically this tool is used in copy mode to create offset copies of a base wire while leaving this wire in the same place. The offset copies are scaled versions of the original object. To create other scaled copies use Draft Scale. To produce exact copies shifted a distance use Draft Move.

Draft Offset example.jpg

Offsetting a wire a certain distance from one of its edges


Cum se folosește

  1. Selectați obiectele pe care doriți să le compensați
  2. Apăsați butonul Draft Offset.png Draft Offset sau apăsați tasta O urmată apoi de tasta S
  3. Faceți clic pe un punct din vizualizarea 3D sau tastați o distanță.

The distance used to create the offset is perpendicular to one of the edges of the original shape, depending on the position of the pointer. If the pointer is moved closer to another edge, this edge now becomes the reference for the distance. Hold the Shift key to keep the current reference edge despite moving the pointer closer to other edges.

Opţiuni

  • Apăsați tasta T sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Continue'. Dacă funcția continuă este activată, instrumentul Offset se va reporni după ce îl terminați sau închideți, permițându-vă să decalați sau să copiați obiectele altfel fără să apăsați din nou butonul Offset.
  • Apăsând butonul ALT sau C sau făcând clic pe butonul Copiere va face o copie a obiectelor, în loc să le mutați. Dacă țineți apăsat ALT după ce faceți clic pe cel de-al doilea punct, veți putea plasa mai multe copii până când eliberați tasta ALT.
  • Apăsați CTRL în timp ce desenați pentru a forța ancorarea snapping punctului dvs. către cea mai apropiată locație, independent de distanța.
  • Apăsând pe SHIFT, constrain vă va fi segmentul curent, în loc să-l alegeți cel mai apropiat.
  • Apăsați butonul ESC sau butonul Anulare pentru a întrerupe comanda curentă.

Scrip-Programare

Instrumentul de Decalare poate fi folosit în macros și din consola Python utilizând următoarea funcție:

Offsetobj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • Se decalează/compensează filamentul dat prin aplicarea Vectorului dat la primul său vârf.
  • Dacă copymode este True, un alt obiect este creat, altfel același obiect devine offset.
  • Dacă bind este adevărat și cu condiția ca filamentul să fie deschis, firele originale și cele compensate vor fi legate de punctele lor finale, formând o fațetă.
  • Dacă sym este True, decalajul se face pe ambele fețe, lățimea totală fiind lungimea vectorului dat.
  • Returnează obiectul offset (sau copia lui dacă copymode este True).

Exempluː

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1500, 2000, 0)
p3 = FreeCAD.Vector(4000, 0, 0)

Wire = Draft.makeWire([p1, p2, p3])

vector = FreeCAD.Vector(0, 500, 0)
Offset_1 = Draft.offset(Wire, vector, copy=True)
Offset_2 = Draft.offset(Wire, 3*vector, copy=True)
Offset_3 = Draft.offset(Wire, 6*vector, copy=True)
Offset_4 = Draft.offset(Wire, 9*vector, copy=True)
Offset_5 = Draft.offset(Wire, 1.5*vector, copy=True, occ=True)